CVE-2007-6664 - SQL Injection vulnerability in Webportal CMS 0.6.0

Publication

2008-01-04

Last modification

2017-09-29

Summary

SQL injection vulnerability in index.php in WebPortal CMS 0.6.0 and earlier allows remote attackers to execute arbitrary SQL commands via the m parameter.

Description

WebPortal CMS is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data before using it in an SQL query.Exploiting this issue could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.This issue affects WebPortal CMS 0.6.0; other versions may also be vulnerable.

Solution

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or if you are aware of more recent information, please mail us at: info@vumetric.com.

Exploit

Attackers can use a browser to exploit this issue.The following exploit code is available: /data/vulnerabilities/exploits/27088.pl

Classification

CWE-89 - SQL Injection

Risk level (CVSS AV:N/AC:L/Au:N/C:P/I:P/A:P)

High

7.5

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

Vendor Product Versions
Webportal Webportal CMS  0.6.0